diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 477b55b..9401435 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -1048,6 +1048,28 @@ all: rootdirs noweb srcsetup lspdir srcdir
 <<clean>>
 
 @
+\subsection{Makefile.mandriva}
+<<Makefile.mandriva>>=
+
+<<ENVDEFAULTS>>
+<<ENV>>
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.mandriva called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+	@- grep "result FAILED" int/input/*.regress
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
 \subsection{Makefile.vector}
 <<Makefile.vector>>=
 
@@ -1215,7 +1237,7 @@ CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
 
 
 all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
+	@echo 45 Makefile.macosxppc called
 	@echo 46 Environment : ${ENV} 
 	@echo 47 finished system build on `date` | tee >lastBuildDate
 	@- grep "result FAILED" int/input/*.regress
@@ -1238,7 +1260,7 @@ all: rootdirs noweb srcsetup lspdir srcdir
 
 
 all: rootdirs noweb srcsetup lspdir srcdir
-	@echo 45 Makefile.linux called
+	@echo 45 Makefile.fedora called
 	@echo 46 Environment : ${ENV} 
 	@echo 47 finished system build on `date` | tee >lastBuildDate
 	@- grep "result FAILED" int/input/*.regress
diff --git a/changelog b/changelog
index 7e71500..d113538 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20100718 tpd src/axiom-website/patches.html 20100718.02.tpd.patch
+20100718 tpd src/axiom-website/download axiom-mandriva-may2010-bin.tgz added
+20100718 tpd Makefile add Makefile.mandriva stanza
+20100718 tpd src/axiom-website/patches.html 20100718.01.tpd.patch
 20100718 tpd src/algebra/Makefile add help and test for DFSFUN
 20100718 tpd books/bookvolbib add Los60, Luk169, Luk269, Pea56, PTVF95
 20100718 tpd books/bookvol10.4 add fresnelC, fresnelS to DFSFUN
diff --git a/src/axiom-website/download.html b/src/axiom-website/download.html
index 042dbe9..c4e411a 100644
--- a/src/axiom-website/download.html
+++ b/src/axiom-website/download.html
@@ -490,6 +490,7 @@
      <td align="center"><!-- May 2010 -->
       <font face="Helvetica, Arial, sans-serif" size="+1">
       <a href="downloads/axiom-may2010-src.tgz">src</a>
+      <a href="downloads/axiom-mandriva-may2010-bin.tgz">bin</a>
       </font>
      </td>
     </tr>
@@ -992,8 +993,8 @@ make
    </p>
   <h3>Fedora </h3>
    <pre>
-yum install xterm emacs git-core patch texlive texlive-latex xorg-x11-proto-devel
-yum install libXt-devel libXpm-devel gcc
+yum install xterm emacs git-core patch texlive texlive-latex 
+yum install libXt-devel libXpm-devel gcc xorg-x11-proto-devel
 download the latest axiom-(date)-src.tgz
 tar -zxf axiom-(date)-src.tgz
 cd axiom
@@ -1005,7 +1006,7 @@ make
 
   <h3>Mandriva </h3>
    <pre>
-urpmi xterm emacs git-core texlive texlive-latex libXpm-devel make gcc
+urpmi xterm emacs git-core texlive texlive-latex libXpm-devel make gcc patch
 download the latest axiom-(date)-src.tgz
 tar -zxf axiom-(date)-src.tgz
 cd axiom
@@ -1053,7 +1054,7 @@ apt-get update
 
 Next you need to install these packages:
 
-apt-get install gcc build-essential debhelper gcl gettext gs-gpl html2text
+apt-get install gcc build-essential debhelper gettext gs-gpl html2text
 apt-get install intltool-debian libgmp3-dev libice-dev libxau-dev libxaw7-dev
 apt-get install po-debconf x-dev x11proto-input-dev x11proto-kb-dev 
 apt-get install libncurses5-dev libreadline5-dev libstdc++6-4.1-dev gawk
@@ -1065,7 +1066,7 @@ export PATH=$AXIOM/bin:$PATH
 make
    </pre>
 
-  <h3>Mac OSX PPC</h3>
+  <h3>Mac OSX Intel</h3>
 The MAC port has a few issues. The known problems are:
 <pre>
 The pseudo-terminals (/dev/pty) don't work so the hyperdoc/graphics fails.
@@ -1074,12 +1075,6 @@ This is still under study.
 The )browse command works but you have to use the latest firefox because
 safari does not seem to know about the http request object.
 
-There is a nasty interaction between CVS and OSX. Apparently CVS won't
-let you delete directories. OSX considers two names that differ only
-by case to be the same thing. Axiom did a global downcase of all
-filenames but CVS doesn't want to delete directories so the uppercase
-ones overwrite the lowercase ones. The fix is to use the sources
-from git rather than from CVS.
 </pre>
   <pre>
 install xcode from http://developer.apple.com/tools/download
@@ -1099,7 +1094,7 @@ install xcode from http://developer.apple.com/tools/download
 intall latex from http://www.tug.org/mactex
 
 cd axiom
-export AXIOM=`pwd`/mnt/macosxppc
+export AXIOM=`pwd`/mnt/MACOSX
 export PATH=/sw/bin:$AXIOM/bin:$PATH
 make
 </pre>
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 15953d2..b0ec321 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2998,5 +2998,7 @@ books/bookvol10.* add fresnelS, fresnelC to LF, COMMONOP, LIMITPS, EXPR<br/>
 src/algebra/Makefile handle case-insensitive MAC filesystem<br/>
 <a href="patches/20100718.01.tpd.patch">20100718.01.tpd.patch</a>
 books/bookvol10.4 add fresnelC, fresnelS to DFSFUN<br/>
+<a href="patches/20100718.02.tpd.patch">20100718.02.tpd.patch</a>
+Makefile add Makefile.mandriva stanza<br/>
  </body>
 </html>
